Hyena 0.90.1.25402 1.3.1.0 1.4.0.0 1.5.0.0 System.Object System.Collections.Generic.IEnumerable<System.Int32> Efficiently stores a set of selected ranges within some larger range. Lookup to see if a given number in the range is selected is also efficient. Can work fine for very small or large (eg [0, 1M]) ranges. To be added.
- Constructor
  To be added.
  To be added.
  1.3.1.0
  1.4.0.0
  1.5.0.0
- Property
  System.Boolean True if all indexes from 0 to MaxCount are selected. To be added. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Event
  System.EventHandler Raised when the selection is changed. When methods such as SelectRange are called, this event is raised just once, not once per every index selected. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Method
  System.Void Clear the selection, and raise the Changed event. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Method
  System.Void `` To be added. Clear the selection, and raise the Changed event if raise is true. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Method
  System.Boolean `` To be added. Returns true if the given index is selected. To be added. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Property
  System.Int32 The number of items selected. To be added. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Property
  1.3.1.0
  1.4.0.0
  1.5.0.0
  System.Int32 The first selected index, or -1 if none selected. To be added. To be added.
- Event
  1.5.0.0
  System.EventHandler To be added. To be added.
- Property
  1.3.1.0
  1.4.0.0
  1.5.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  1.3.1.0
  1.4.0.0
  1.5.0.0
  System.Collections.Generic.IEnumerator<System.Int32> To be added. To be added. To be added.
- Property
  1.3.1.0
  1.4.0.0
  1.5.0.0
  System.Int32 The last (highest) selected index, or -1 if none selected. To be added. To be added.
- Property
  System.Int32 The highest possible index in this selection. To be added. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Method
  System.Void To be added. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Property
  1.4.0.0
  1.5.0.0
  Hyena.Collections.RangeCollection To be added. To be added. To be added.
- Property
  Hyena.Collections.RangeCollection+Range[] To be added. To be added. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Method
  System.Void To be added. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Method
  1.3.1.0
  1.4.0.0
  1.5.0.0
  System.Collections.IEnumerator To be added. To be added. To be added.
- Method
  System.Void `` To be added. If index is not selected, select it. If it is selected, unselect it. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Method
  1.5.0.0
  System.String To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added. 1.3.1.0 1.4.0.0 1.5.0.0
- Method
  1.5.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.